<s:div xmlns:ui="http://java.sun.com/jsf/facelets"
       xmlns:h="http://java.sun.com/jsf/html"
       xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:f="http://java.sun.com/jsf/core"
       xmlns:g="http://www.ihe.net/gazelle" xmlns:rich="http://richfaces.org/rich" xmlns="http://www.w3.org/1999/xhtml">
    <s:div id="UserIp">
        <rich:dataTable id="listUserIpTable" var="currentUser"
                        value="#{statisticManager.getAllUserIpAddressSinceLast24h00DM()}"
                        rows="#{dataScrollerMemory.numberOfResultsPerPage}"
                        render="ds">
            <g:column id="UserIdColumn" sortBy="#{'id'}">
                <ui:define name="header">#{messages['gazelle.dds.Id']}</ui:define>
                <h:outputText value="#{currentUser.id}"/>
            </g:column>
            <g:column id="UserIpAddress" filterBy="#{'ipAddress'}" sortBy="#{'ipAddress'}">
                <ui:define name="header">#{messages['gazelle.dds.Ipaddress']}</ui:define>
                <h:outputText value="#{currentUser.ipAddress}"/>
            </g:column>
            <g:column id="UserRequestTime" sortBy="#{'requestTime'}" sortOrder="descending">
                <ui:define name="header">#{messages['gazelle.dds.RequestTime']}</ui:define>
                #{currentUser.requestTime}
            </g:column>
            <g:column id="UserNominatimRequestNumber" sortBy="#{'nominatimRequestNumber'}">
                <ui:define name="header">#{messages['gazelle.dds.NominatimRequestNumber']}</ui:define>
                <h:outputText value="#{currentUser.nominatimRequestNumber}"/>
            </g:column>
            <g:column id="UserGoogleRequestNumber" sortBy="#{'googleRequestNumber'}">
                <ui:define name="header">#{messages['gazelle.dds.GoogleRequestNumber']}</ui:define>
                <h:outputText value="#{currentUser.googleRequestNumber}"/>
            </g:column>
            <g:column id="UserGeonameRequestNumber" sortBy="#{'geonameRequestNumber'}">
                <ui:define name="header">#{messages['gazelle.dds.GeonameRequestNumber']}</ui:define>
                <h:outputText value="#{currentUser.geonameRequestNumber}"/>
            </g:column>
            <f:facet name="footer">
                <ui:include src="/util/datatableFooter.xhtml">
                    <ui:param name="dataScrollerId" value="ds"/>
                    <ui:param name="dataTableId" value="listUserIpTable"/>
                </ui:include>
            </f:facet>
        </rich:dataTable>
    </s:div>
</s:div>
